﻿using System;
using System.Runtime.InteropServices;
using System.Windows;
using Microsoft.EntityFrameworkCore;
using Tetris.Models;
using Tetris.ViewsModels;

namespace Tetris.Views;

/// <summary>
///     Interaction logic for MainWindow.xaml
/// </summary>
public partial class MainWindow
{
    public MainWindow() {
        using var db = new ScoreContext();
        db.Database.Migrate();
        AttachConsole(-1);
        DataContext = new ViewModel();
        InitializeComponent();
    }

    [DllImport("kernel32.dll")]
    private static extern bool AttachConsole(int dwProcessId);

    /// <summary>
    /// When the user clicks the Start button, the game window is created and the user's name is passed to it
    /// </summary>
    /// <param name="sender">The object that raised the event.</param>
    /// <param name="RoutedEventArgs">This is the event arguments that are passed to the event handler.</param>
    private void StartButton_OnClick(object sender, RoutedEventArgs e)
    {
        Console.WriteLine("Start game...");
        new GameWindow().Start(((ViewModel) DataContext).UserName);
        Close();
    }
}